Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.nio.client
Class CloseableHttpPipeliningClient

    java.lang.Object
      org.apache.http.impl.nio.client.CloseableHttpAsyncClient
          org.apache.http.impl.nio.client.CloseableHttpPipeliningClient

All Implemented Interfaces:
  Closeable, HttpAsyncClient, HttpPipeliningClient

    @Contract(threading=SAFE)
    public abstract class CloseableHttpPipeliningClient

extends CloseableHttpAsyncClient
implements HttpPipeliningClient

Base implementation of `HttpPipeliningClient` that also implements `Closeable`.

Since:
  4.1

Constructor Summary
`CloseableHttpPipeliningClient()`

Method Summary
`
`<T> Future<List<T>>`
` | `execute(org.apache.http.HttpHost target, List<? extends org.apache.http.nio.protocol.HttpAsyncRequestProducer> requestProducers, List<? extends org.apache.http.nio.protocol.HttpAsyncResponseConsumer<T>> responseConsumers, org.apache.http.concurrent.FutureCallback<List<T>> callback)` Initiates pipelined execution of a sequence of requests.
`Future<List<org.apache.http.HttpResponse>>` | `execute(org.apache.http.HttpHost target, List<org.apache.http.HttpRequest> requests, org.apache.http.concurrent.FutureCallback<List<org.apache.http.HttpResponse>> callback)` Initiates pipelined execution of a sequence of requests against the given target.
`Future<List<org.apache.http.HttpResponse>>` | `execute(org.apache.http.HttpHost target, List<org.apache.http.HttpRequest> requests, org.apache.http.protocol.HttpContext context, org.apache.http.concurrent.FutureCallback<List<org.apache.http.HttpResponse>> callback)` Initiates pipelined execution of a sequence of requests against the given target using the given context.

Methods inherited from class org.apache.http.impl.nio.client.CloseableHttpAsyncClient
`execute, execute, execute, execute, execute, isRunning, start`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.http.nio.client.HttpPipeliningClient
`execute`

Methods inherited from interface org.apache.http.nio.client.HttpAsyncClient
`execute, execute, execute, execute, execute, execute`

Methods inherited from interface java.io.Closeable
`close`

Constructor Detail

### CloseableHttpPipeliningClient

    public CloseableHttpPipeliningClient()

Method Detail

### execute

    public <T> Future<List<T>> execute(org.apache.http.HttpHost target,
                                       List<? extends org.apache.http.nio.protocol.HttpAsyncRequestProducer> requestProducers,
                                       List<? extends org.apache.http.nio.protocol.HttpAsyncResponseConsumer<T>> responseConsumers,
                                       org.apache.http.concurrent.FutureCallback<List<T>> callback)

  Description copied from interface: `HttpPipeliningClient`
  Initiates pipelined execution of a sequence of requests.

  The request producers passed to this method will be used to generate a request message and stream out its content without buffering it in memory. The response consumers passed to this method will be used to process a response message without buffering its content in memory.

  Specified by:
    `execute` in interface `HttpPipeliningClient`
  Type Parameters:
    `T` - the result type of request execution.
  Parameters:
    `target` - the target host for the request.
    `requestProducers` - list of request producers.
    `responseConsumers` - list of response consumers.
    `callback` - future callback.
  Returns:
    future representing pending completion of the operation.

### execute

    public Future<List<org.apache.http.HttpResponse>> execute(org.apache.http.HttpHost target,
                                                              List<org.apache.http.HttpRequest> requests,
                                                              org.apache.http.concurrent.FutureCallback<List<org.apache.http.HttpResponse>> callback)

  Description copied from interface: `HttpPipeliningClient`
  Initiates pipelined execution of a sequence of requests against the given target.

  Specified by:
    `execute` in interface `HttpPipeliningClient`
  Parameters:
    `target` - the target host for the requests. Implementations may accept `null` if they can still determine a route, for example to a default target or by inspecting the request.
    `requests` - the requests to execute
    `callback` - future callback.
  Returns:
    future representing pending completion of the operation.

### execute

    public Future<List<org.apache.http.HttpResponse>> execute(org.apache.http.HttpHost target,
                                                              List<org.apache.http.HttpRequest> requests,
                                                              org.apache.http.protocol.HttpContext context,
                                                              org.apache.http.concurrent.FutureCallback<List<org.apache.http.HttpResponse>> callback)

  Description copied from interface: `HttpPipeliningClient`
  Initiates pipelined execution of a sequence of requests against the given target using the given context.

  Please note it may be unsafe to interact with the context instance while the request is still being executed.

  Specified by:
    `execute` in interface `HttpPipeliningClient`
  Parameters:
    `target` - the target host for the requests. Implementations may accept `null` if they can still determine a route, for example to a default target or by inspecting the request.
    `requests` - the requests to execute
    `context` - the context to use for the execution, or `null` to use the default context
    `callback` - future callback.
  Returns:
    future representing pending completion of the operation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010–2021 The Apache Software Foundation. All rights reserved.